#include "panel/lcd_h144c121d.h"

static uint8_t panel_init_struct[] = {
    0x01, 0x36, 0x00,                                                                                // MADCTL
    0x01, 0x3A, 0x05,                                                                                // COLMOD
    0x05, 0xB2, 0x0C, 0x0C, 0x00, 0x33, 0x33,                                                        // PORCTRL
    0x01, 0xB7, 0x72,                                                                                // GCTRL
    0x01, 0xBB, 0x3D,                                                                                // VCOMS
    0x01, 0xC2, 0x01,                                                                                // VDVVRHEN
    0x01, 0xC3, 0x19,                                                                                // VRHS
    0x01, 0xC4, 0x20,                                                                                // VDVS
    0x01, 0xC6, 0x0F,                                                                                // FRCTRL
    0x02, 0xD0, 0xA4, 0xA1,                                                                          // PWCTRL1
    0x0E, 0xE0, 0x70, 0x04, 0x08, 0x09, 0x09, 0x05, 0x2A, 0x33, 0x41, 0x07, 0x13, 0x13, 0x29, 0x2F,  // PGC
    0x0E, 0xE1, 0x70, 0x03, 0x09, 0x0A, 0x09, 0x06, 0x2B, 0x34, 0x41, 0x07, 0x12, 0x14, 0x28, 0x2E,  // NGC
};

const st7789_panel_config_t lcd_h144c121d_panel_config = {
    .init_struct        = panel_init_struct,
    .init_struct_length = sizeof(panel_init_struct),
    .ram_offset_x       = 0U,
    .ram_offset_y       = 0U,
    .size_x             = 240,
    .size_y             = 240,
    .inversion          = true,
    .bgr_filter         = false,
};