#include "panel/lcd_hp32030d.h"

static uint8_t panel_init_struct[] = {
    0x05, 0xB2, 0x0C, 0x0C, 0x00, 0x33, 0x33,                                                        // PORCTRL(B2H)
    0x02, 0xB0, 0x00, 0xE0,                                                                          // RAMCTRL (B0H)
    0x01, 0x36, 0x00,                                                                                // MADCTL (36H)
    0x01, 0x3A, 0x05,                                                                                // COLMOD (3AH)
    0x01, 0xB7, 0x56,                                                                                // GCTRL (B7H)
    0x01, 0xBB, 0x14,                                                                                // VCOMS (BBH)
    0x01, 0xC0, 0x2C,                                                                                // LCMCTRL (C0H)
    0x01, 0xC2, 0x01,                                                                                // VDVVRHEN (C2H)
    0x01, 0xC3, 0x0B,                                                                                // VRHS (C3H)
    0x01, 0xC4, 0x10,                                                                                // VDVS (C4H)
    0x01, 0xC6, 0x0F,                                                                                // FRCTRL2 (C6H)
    0x02, 0xD0, 0xA4, 0xA1,                                                                          // PWCTRL1 (D0H)
    0x01, 0xD5, 0xA1,                                                                                // ??
    0x0E, 0xE0, 0xD0, 0x08, 0x0A, 0x0D, 0x0B, 0x07, 0x21, 0x33, 0x39, 0x39, 0x16, 0x16, 0x1F, 0x3C,  // PGC (E0H)
    0x0E, 0xE1, 0xD0, 0x00, 0x03, 0x01, 0x00, 0x10, 0x21, 0x32, 0x38, 0x16, 0x14, 0x14, 0x20, 0x3D,  // NGC (E1H)
};

const st7789_panel_config_t lcd_hp32030d_panel_config = {
    .init_struct        = panel_init_struct,
    .init_struct_length = sizeof(panel_init_struct),
    .ram_size_x         = 240,
    .ram_size_y         = 320,
    .ram_offset_x       = 0,
    .ram_offset_y       = 0,
    .size_x             = 240,
    .size_y             = 320,
    .inversion          = true,
    .bgr_filter         = false,
};