#include "panel/lcd_tk0096f611.h"

/* This panel uses ST7735 controller, which is basically the same as ST7789 except SOURCE/GATE count... */

static uint8_t panel_init_struct[] = {
    0x03, 0xB1, 0x05, 0x3A, 0x3A,                    // FRMCTR1 (B1H)
    0x03, 0xB2, 0x05, 0x3A, 0x3A,                    // FRMCTR2 (B2H)
    0x06, 0xB3, 0x05, 0x3A, 0x3A, 0x05, 0x3A, 0x3A,  // FRMCTR3 (B3H)
    0x01, 0xB4, 0x03,                                // INVCTR (B4H)
    0x03, 0xC0, 0x62, 0x02, 0x04,                    // PWCTR1 (C0H)
    0x01, 0xC1, 0xC0,                                // PWCTR2 (C1H)
    0x02, 0xC2, 0x0D, 0x00,                          // PWCTR3 (C2H)
    0x02, 0xC3, 0x8D, 0x6A,                          // PWCTR4 (C3H)
    0x02, 0xC4, 0x8D, 0xEE,                          // PWCTR5 (C4H)
    0x01, 0xC5, 0x0E,                                // VMCTR1 (C5H)
    0x10, 0xE0, 0x10, 0x0E, 0x02, 0x03, 0x0E, 0x07, 0x02, 0x07, 0x0A, 0x12, 0x27, 0x37, 0x00, 0x0D, 0x0E, 0x10,  // PGC
    0x10, 0xE1, 0x10, 0x0E, 0x03, 0x03, 0x0F, 0x06, 0x02, 0x08, 0x0A, 0x13, 0x26, 0x36, 0x00, 0x0D, 0x0E, 0x10,  // NGC
};

const st7789_panel_config_t lcd_tk0096_panel_config = {
    .init_struct        = panel_init_struct,
    .init_struct_length = sizeof(panel_init_struct),
    .ram_size_x         = 128,
    .ram_size_y         = 160,
    .ram_offset_x       = 24,
    .ram_offset_y       = 0,
    .size_x             = 80,
    .size_y             = 160,
    .inversion          = false,
    .bgr_filter         = true,
};